Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi.admin.cfg
Interface RemoteConfigurationLDAP

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteConfigurationLDAP

extends java.rmi.Remote

This interface defines methods to manage LDAP server configuration.

Method Summary
`java.lang.String` | `autoImportLDAPUser(java.lang.String userName, java.lang.String password)` Auto imports an LDAP user.
`boolean` | `confirmFilter(java.lang.String userName, java.lang.String filter)` Tests whether the user confirms the LDAP search filter or not.
`boolean` | `deleteSynSchedule()` Deletes the LDAP Synchronization schedule task.
`boolean` | `disableSynSchedule()` Disables the LDAP Synchronization schedule.
`boolean` | `enableSynSchedule()` Enables the LDAP Synchronization schedule.
`boolean` | `exportSynResultToXMLFile(java.lang.String outputDir, SynchronizationResult result)` Exports the LDAP synchronization result object to an xml file.
`SynchronizationResult` | `getLastLDAPSynchronizeScheduleResult()` Gets the last LDAP synchronization schedule task's result object.
`java.util.Vector` | `getLDAPGroups()` Gets the ldap groups according to the ldap configuration.
`java.util.Vector` | `getLDAPUsers()` Gets the ldap users according to the ldap configuration.
`java.util.Properties` | `getSynchronizeSchedule()` Gets the LDAP synchronization schedule's properties.
`java.util.Vector` | `getUserNames()` Gets the ldap users' names.
`boolean` | `importAllLDAPUsersAndGroups(boolean isOverWrite)` Imports all LDAP groups and users from the LDAP server.
`boolean` | `importLDAPGroups(boolean isOverWrite)` Imports LDAP groups to local from the LDAP Server (imports to role or group)
`boolean` | `importLDAPUsers(boolean isOverWrite)` Imports LDAP users to local from the LDAP Server.
`boolean` | `importSpecifyLDAPGroups(java.util.Vector specifyRolesName, boolean isOverWrite)` Imports some LDAP groups specified by customers to local from the LDAP Server (imports to role or group)
`boolean` | `importSpecifyLDAPUsers(java.util.Vector specifyUsersName, boolean isOverWrite)` Imports some LDAP users specified by customers to local from LDAP Server
`boolean` | `isLDAPScheduleEnable()` Checks whether the LDAP Synchronization schedule is enabled or not.
`boolean` | `isValidLDAPUser(java.lang.String userName, java.lang.String password)` Checks whether a user is a valid LDAP user or not.
`boolean` | `isValidLDAPUserByDN(java.lang.String userName, java.lang.String userDN, java.lang.String password)` Checks whether a user is a valid LDAP user or not
`java.util.Vector` | `listExistedGroups()` Returns all groups in LDAP.
`java.util.Vector` | `listExistedUsers()` Returns all user names in LDAP.
`boolean` | `submitSynchronizeSchedule(java.util.Properties pro, java.lang.String submitter)` Submits a new LDAP synchronization schedule to the server.
`SynchronizationResult` | `synchronize()` Synchronizes the server's security information with the LDAP server.
`java.lang.String` | `testRoleMap(java.lang.String filter, java.lang.String roleName)` Tests whether the role Map is a valid role Map or not

Method Detail

### getUserNames

    java.util.Vector getUserNames()
                                  throws java.rmi.RemoteException

  Gets the ldap users' names.

  Returns:
    vector with users' names.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### listExistedUsers

    java.util.Vector listExistedUsers()
                                      throws java.rmi.RemoteException

  Returns all user names in LDAP.

  Returns:
    all user names in LDAP.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### listExistedGroups

    java.util.Vector listExistedGroups()
                                       throws java.rmi.RemoteException

  Returns all groups in LDAP.

  Returns:
    all groups in LDAP.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### importLDAPUsers

    boolean importLDAPUsers(boolean isOverWrite)
                            throws java.rmi.RemoteException

  Imports LDAP users to local from the LDAP Server.

  Parameters:
    `isOverWrite` - true if the LDAP users overwrite the local users, otherwise false.
  Returns:
    whether imported successfully or not
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### importSpecifyLDAPUsers

    boolean importSpecifyLDAPUsers(java.util.Vector specifyUsersName,
                                   boolean isOverWrite)
                                   throws java.rmi.RemoteException

  Imports some LDAP users specified by customers to local from LDAP Server

  Parameters:
    `specifyUsersName` - the specifies LDAP users' names.
    `isOverWrite` - true if the LDAP users overwrite the local users, otherwise false.
  Returns:
    whether imported successfully or not
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### importLDAPGroups

    boolean importLDAPGroups(boolean isOverWrite)
                             throws java.rmi.RemoteException

  Imports LDAP groups to local from the LDAP Server (imports to role or group)

  Parameters:
    `isOverWrite` - true if the LDAP users overwrite the local users, otherwise false.
  Returns:
    whether imported successfully or not
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### importSpecifyLDAPGroups

    boolean importSpecifyLDAPGroups(java.util.Vector specifyRolesName,
                                    boolean isOverWrite)
                                    throws java.rmi.RemoteException

  Imports some LDAP groups specified by customers to local from the LDAP Server (imports to role or group)

  Parameters:
    `specifyRolesName` - the specified roles' names
    `isOverWrite` - true if the LDAP users overwrite the local users, otherwise false.
  Returns:
    whether imported successfully or not
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### importAllLDAPUsersAndGroups

    boolean importAllLDAPUsersAndGroups(boolean isOverWrite)
                                        throws java.rmi.RemoteException

  Imports all LDAP groups and users from the LDAP server.

  Parameters:
    `isOverWrite` - true if the LDAP users overwrite the local users, otherwise false.
  Returns:
    if imported successfully return true, otherwise return false
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getLDAPUsers

    java.util.Vector getLDAPUsers()
                                  throws java.rmi.RemoteException

  Gets the ldap users according to the ldap configuration.

  Returns:
    the ldap users.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getLDAPGroups

    java.util.Vector getLDAPGroups()
                                   throws java.rmi.RemoteException

  Gets the ldap groups according to the ldap configuration.

  Returns:
    the ldap groups.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### testRoleMap

    java.lang.String testRoleMap(java.lang.String filter,
                                 java.lang.String roleName)
                                 throws java.rmi.RemoteException

  Tests whether the role Map is a valid role Map or not

  Parameters:
    `filter` - the role map's filter
    `roleName` - the role map's bound role name
  Returns:
    the tested message
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### autoImportLDAPUser

    java.lang.String autoImportLDAPUser(java.lang.String userName,
                                        java.lang.String password)
                                        throws java.rmi.RemoteException

  Auto imports an LDAP user.

  Parameters:
    `userName` - the user's name
    `password` - the user's password
  Returns:
    if imported successfully, return null, otherwise return error message
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### confirmFilter

    boolean confirmFilter(java.lang.String userName,
                          java.lang.String filter)
                          throws java.rmi.RemoteException

  Tests whether the user confirms the LDAP search filter or not.

  Parameters:
    `userName` - the user's name
    `filter` - the LDAP search filter
  Returns:
    if the user confirms to this filter return true, otherwise return false.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### isValidLDAPUser

    boolean isValidLDAPUser(java.lang.String userName,
                            java.lang.String password)
                            throws java.rmi.RemoteException

  Checks whether a user is a valid LDAP user or not.

  Parameters:
    `userName` - the user's name
    `password` - the user's password
  Returns:
    if the user is a valid LDAP user return true, otherwise return false.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### isValidLDAPUserByDN

    boolean isValidLDAPUserByDN(java.lang.String userName,
                                java.lang.String userDN,
                                java.lang.String password)
                                throws java.rmi.RemoteException

  Checks whether a user is a valid LDAP user or not

  Parameters:
    `userName` - the user's name
    `userDN` - the user's distinguished name in the LDAP server
    `password` - the user's password
  Returns:
    if the user is a valid LDAP user return true, otherwise return false.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### synchronize

    SynchronizationResult synchronize()
                                      throws java.rmi.RemoteException

  Synchronizes the server's security information with the LDAP server.

  Returns:
    a SynchronizationResult Object, the user can get the synchronization information, for instance, the users' names that have been removed because the LDAP server removed them.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### isLDAPScheduleEnable

    boolean isLDAPScheduleEnable()
                                 throws java.rmi.RemoteException

  Checks whether the LDAP Synchronization schedule is enabled or not.

  Returns:
    if this schedule is enabled, return true, otherwise return false.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### submitSynchronizeSchedule

    boolean submitSynchronizeSchedule(java.util.Properties pro,
                                      java.lang.String submitter)
                                      throws java.rmi.RemoteException

  Submits a new LDAP synchronization schedule to the server. If there is a schedule stored in server, the system will replace this old schedule with the new schedule.

  Parameters:
    `pro` - the schedule's properties.
    `submitter` - the submitter's name
  Returns:
    If submitted successfully, return true. otherwise return false.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getSynchronizeSchedule

    java.util.Properties getSynchronizeSchedule()
                                                throws java.rmi.RemoteException

  Gets the LDAP synchronization schedule's properties.

  Returns:
    Properties the schedule's properties
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### disableSynSchedule

    boolean disableSynSchedule()
                               throws java.rmi.RemoteException

  Disables the LDAP Synchronization schedule.

  Returns:
    if disabled successfully return true, otherwise return false
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### enableSynSchedule

    boolean enableSynSchedule()
                              throws java.rmi.RemoteException

  Enables the LDAP Synchronization schedule.

  Returns:
    if enabled successfully return true, otherwise return false
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### deleteSynSchedule

    boolean deleteSynSchedule()
                              throws java.rmi.RemoteException

  Deletes the LDAP Synchronization schedule task.

  Returns:
    if deleted successfully return true, otherwise return false
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### exportSynResultToXMLFile

    boolean exportSynResultToXMLFile(java.lang.String outputDir,
                                     SynchronizationResult result)
                                     throws java.rmi.RemoteException

  Exports the LDAP synchronization result object to an xml file.

  Parameters:
    `outputDir` - the xml file's directory, for example, C:\temp\result.xml
    `result` - the LDAP synchronization result
  Returns:
    if exported object successfully return true, otherwise return false
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getLastLDAPSynchronizeScheduleResult

    SynchronizationResult getLastLDAPSynchronizeScheduleResult()
                                                               throws java.rmi.RemoteException

  Gets the last LDAP synchronization schedule task's result object.

  Returns:
    the LDAP synchronization result object.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD